Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).

Path Parameters

unique_page_id
string
required

The page's unique string identifier, as returned in the unique_page_id field of GET /pages. This is not the numeric id field.

Example:

"page_asN7DjyRStBAGx4xANmUuNK5"

Body

multipart/form-data
_method
enum<string>
required

Must be PUT.

Available options:
PUT
name
string
required

Name of the page (required, max 256 characters)

Show logo (0 = no, 1 = yes)

Available options:
0,
1

Logo image file (max 15MB)

is_logo_redirect_url
enum<string>

Enable logo redirect URL (0 = no, 1 = yes)

Available options:
0,
1
redirect_url
string

Redirect URL when logo is clicked (required if is_logo_redirect_url is 1)

public_slug
string

Custom slug for the page's public URL. Must be a valid slug (letters, numbers and hyphens), between 3 and 100 characters.

title
string

Page title

subtitle
string

Page subtitle

enable_cta_button
enum<string>

Enable CTA button (0 = no, 1 = yes)

Available options:
0,
1
button_name
string

CTA button name (required if enable_cta_button is 1, max 60 characters)

button_url
string

CTA button URL

feeds[]
string

You can add multiple feeds[] keys. The value is the review's feed_identifier, in the form feed-{type}-item-{numeric id}.

Get these values from GET /pages/feeds (Get All Reviews). Note that GET /feeds returns feed_identifier as null, so it cannot be used as the source for this field. e.g. feed-text-item-9793 feed-social-item-170021

allow_to_display_feed_date
enum<string>

Allow to display review date (0 = no, 1 = yes)

Available options:
0,
1
reorder
enum<string>

Reorder reviews based on sort preference (0 = no, 1 = yes)

Available options:
0,
1
custom_attributes
object

Custom attributes for the page

Response

200 - application/json

Page updated successfully.

message
string
data
object

Page response object with full page details